=== debian/changelog ===
xfce4-whiskermenu-plugin (2.7.2-1) unstable; urgency=medium

  * Team upload.

  [ Akbarkhon Variskhanov ]
  * d/rules: Drop --as-needed from LDFLAGS
  * d/rules: Drop override_dh_auto_install

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Unit 193 ]
  * New upstream version 2.7.2.
  * d/rules: Opt-out of trimmed changelogs.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Mon, 30 Jan 2023 04:05:42 -0500
