## xfce4-whiskermenu-plugin 2.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.9)
 
-project(whiskermenu VERSION 2.7.2)
+project(whiskermenu VERSION 2.7.3)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
