=== debian/changelog ===
xfce4-whiskermenu-plugin (2.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.7.3.

 -- Unit 193 <unit193@debian.org>  Fri, 16 Jun 2023 03:03:41 -0400
