## xfce4-whiskermenu-plugin 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 #
 # SPDX-License-Identifier: GPL-2.0-or-later
 
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.7.3)
+project(whiskermenu VERSION 2.8.0)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
@@ -15,7 +15,8 @@
 	set(whiskermenu_lto ON)
 endif()
 
-option(ENABLE_ACCOUNTSSERVICE "Enable building with AccountsService" ON)
+option(ENABLE_ACCOUNTS_SERVICE "Enable building with AccountsService" ON)
+option(ENABLE_GTK_LAYER_SHELL "Enable support for positioning in Wayland" ON)
 option(ENABLE_VISIBILITY "Enable ELF visibility attributes" ON)
 option(ENABLE_AS_NEEDED "Enable -Wl,--as-needed for the linker" ON)
 option(ENABLE_LINKER_OPTIMIZED_HASH_TABLES "Enable -Wl,-O1 for the linker" ON)
