=== debian/changelog ===
xfce4-whiskermenu-plugin (2.8.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Oct 2023 13:37:13 -0700

xfce4-whiskermenu-plugin (2.8.0-1) unstable; urgency=medium

  [ Akbarkhon Variskhanov ]
  * debian/copyright: Add Upstream-Contact and License

  [ Yves-Alexis Perez ]
  * New upstream version 2.8.0

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 05 Sep 2023 21:50:58 +0200
