=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -9,6 +10,7 @@
                libexo-2-dev,
                libgarcon-1-0-dev,
                libgtk-3-dev,
+               libgtk-layer-shell-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
@@ -23,7 +25,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mugshot
-Multi-Arch: same
 Description: Alternate menu plugin for the Xfce desktop environment
  Whisker Menu is an alternate application launcher for Xfce. When you open it
  you are shown a list of applications you have marked as favorites. You can
