## xfce4-whiskermenu-plugin 2.8.1

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.1.

 -- Unit 193 <unit193@debian.org>  Thu, 09 Nov 2023 20:09:15 -0500
