=== debian/changelog ===
xfce4-whiskermenu-plugin (2.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.2.

 -- Unit 193 <unit193@debian.org>  Tue, 28 Nov 2023 21:48:33 -0500
