=== debian/changelog ===
xfce4-whiskermenu-plugin (2.8.3-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable Wayland's gtk-layer-shell, it's too old in Bullseye.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Jul 2024 11:03:13 -0700

xfce4-whiskermenu-plugin (2.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.3.

 -- Unit 193 <unit193@debian.org>  Sat, 20 Jan 2024 00:56:41 -0500
