=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libexo-2-dev,
                libgarcon-1-0-dev,
                libgtk-3-dev,
-               libgtk-layer-shell-dev,
+#               libgtk-layer-shell-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
