=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,13 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
-		-DENABLE_ACCOUNTS_SERVICE=no
+		-DENABLE_ACCOUNTS_SERVICE=no \
+		-DENABLE_GTK_LAYER_SHELL=no #too old in Bullseye
 
 override_dh_installchangelogs:
 	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS
 
 # No dbgsym packages:
 override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym
