=== debian/changelog ===
xfce4-whiskermenu-plugin (2.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.4.
  * d/control: Correct B-D, libgarcon-1-0-dev → libgarcon-1-dev.
    (Closes: #1092418)

 -- Unit 193 <unit193@debian.org>  Sun, 12 Jan 2025 22:50:42 -0500
