=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gettext,
                libexo-2-dev,
-               libgarcon-1-0-dev,
+               libgarcon-1-dev,
                libgtk-3-dev,
-#               libgtk-layer-shell-dev,
+               libgtk-layer-shell-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
