## xfce4-whiskermenu-plugin 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-# SPDX-FileCopyrightText: 2013-2023 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2013-2025 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-2.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.8.4)
+project(whiskermenu VERSION 2.9.0)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
