=== debian/changelog ===
xfce4-whiskermenu-plugin (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.9.0.
  * d/control: Update B-D, pkg-config → pkgconf.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Tue, 04 Feb 2025 01:11:56 -0500
