=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
-               pkg-config
+               pkgconf
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-whiskermenu-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin
