## xfce4-whiskermenu-plugin 2.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.9.0)
+project(whiskermenu VERSION 2.9.1)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
