=== debian/changelog ===
xfce4-whiskermenu-plugin (2.9.1-2) unstable; urgency=medium

  * New revision to restore proper changelog history in Debian.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 15 Feb 2025 10:48:39 +0100

xfce4-whiskermenu-plugin (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 15 Feb 2025 10:47:39 +0100
