=== debian/changelog ===
xfce4-whiskermenu-plugin (2.9.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Mar 2025 12:01:40 -0800

xfce4-whiskermenu-plugin (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2
  * d/control: update standards version to 4.7.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 21 Feb 2025 14:27:55 +0100
