=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -15,7 +16,7 @@
                libxfce4util-dev,
                pkgconf
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-whiskermenu-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin
