=== debian/changelog ===
xfce4-whiskermenu-plugin (2.10.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 2.10.0
  * Switch to meson build system.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Sep 2025 12:35:46 -0700
