=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,10 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
-override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
-		-DENABLE_ACCOUNTS_SERVICE=no
+override_dh_meson:
+	dh_meson -- -D accountservice=false
 
 override_dh_installchangelogs:
 	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS
