=== debian/changelog ===
xfce4-whiskermenu-plugin (2.10.1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Make it possible to build again on non-Linux platforms:
    - limit the libgtk-layer-shell-dev build dependency as linux-any
    - explicitly enable the layer shell support on Linux, and explicitly
      disable it on non-Linux platforms

  [ Yves-Alexis Perez ]
  * New upstream version 2.10.1
  * migrate to the meson build system

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 24 Feb 2026 14:09:53 +0100
