=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -10,10 +9,11 @@
                libexo-2-dev,
                libgarcon-1-dev,
                libgtk-3-dev,
-               libgtk-layer-shell-dev,
+               libgtk-layer-shell-dev [linux-any],
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
+               meson,
                pkgconf
 Rules-Requires-Root: no
 Standards-Version: 4.7.1
