=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk

ifeq (linux,$(DEB_HOST_ARCH_OS))
    EXTRA_MESON_ARGS += -Dgtk-layer-shell=enabled
else
    EXTRA_MESON_ARGS += -Dgtk-layer-shell=disabled
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Daccountsservice=disabled \
		$(EXTRA_MESON_ARGS)

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS
